<ion-header style="background-color: #0c1adf;">
  <ion-toolbar class="title">
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-icon (click)="navigate_atras()" name="arrow-back-outline"></ion-icon>
        </ion-col>
        <ion-col>
          <ion-title >Productos</ion-title>
        </ion-col>
      </ion-row>
    </ion-grid>

  </ion-toolbar>
</ion-header>

<ion-content style="  display: flex;
justify-content: center;" >
  <img src="../../../assets/images/durum.png" height="250px" width="100%" alt="">


<ion-fab slot="fixed" >
  <ion-fab-button  (click)="navigate_create()">+</ion-fab-button>
</ion-fab>

<ion-list >
  <ion-item class="items" *ngFor="let producto of productos">
    <ion-label>
      <h5>
        <ion-icon name="producto"></ion-icon> {{producto.name}}
      </h5>
      <p>
        {{producto.price}} €
      </p>
      <p>
        {{producto.category}}
      </p>
    </ion-label>

    <ion-button clear [routerLink]="['/edit-producto/', producto.id]">
      <ion-icon name="create"></ion-icon>
    </ion-button>
    <ion-button clear (click)="deleteProducto(producto.id)">
      <ion-icon name="trash"></ion-icon>
    </ion-button>
</ion-item>
</ion-list>

<ion-infinite-scroll threshold="100px" (ionInfinite)="ngOnInit()">
</ion-infinite-scroll>

</ion-content>